tbb::flow::interface11::internal::graph_task_comparator Struct Reference

`#include <_flow_graph_impl.h>`

Collaboration diagram for tbb::flow::interface11::internal::graph_task_comparator:

## Public Member Functions

bool | operator() (const graph_task *left, const graph_task *right)

## Detailed Description

Definition at line 175 of file _flow_graph_impl.h.

## Member Function Documentation

## operator()()

bool tbb::flow::interface11::internal::graph_task_comparator::operator() | ( | const graph_task * | left,
|  | const graph_task * | right
| ) |  |

inline

Definition at line 176 of file _flow_graph_impl.h.

{
return left->priority < right->priority;
}

References tbb::flow::interface11::graph_task::priority.

The documentation for this struct was generated from the following file:

- _flow_graph_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.